define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Observability Improvements using Zipkin Traces",
                    "href":"observability-improvements-using-zipkin-traces.html#GUID-C422A630-7868-4EF0-90C9-6D8CDC34224D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1.1 </span> Setting Zipkin Server",
                            "href":"observability-improvements-using-zipkin-traces.html#GUID-3BCB4476-F544-4D1E-B461-066FA8FF9AE9"
                        },
                        {
                            "title":"<span class=\"secnum\">1.2 </span> Troubleshooting Zipkin",
                            "href":"observability-improvements-using-zipkin-traces.html#GUID-FDFE5139-ABD4-4DEC-A705-96CFF01345AB"
                        },
                        {
                            "title":"<span class=\"secnum\">1.3 </span> Zipkin Issues",
                            "href":"observability-improvements-using-zipkin-traces.html#GUID-3AA9D2C5-AB16-4714-8CEB-A93446DB0841",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">1.3.1 </span> Application Service is not Registered",
                                    "href":"observability-improvements-using-zipkin-traces.html#GUID-E345BBEC-549A-466F-ACCE-7746DD76517B"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.3.2 </span> 404 Error",
                                    "href":"observability-improvements-using-zipkin-traces.html#GUID-BC1AD63B-DDBB-4D53-9807-1B070922CA43"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.3.3 </span> Unable to Change Zipkin Default Port Number",
                                    "href":"observability-improvements-using-zipkin-traces.html#GUID-D1FF46F4-FBB8-4098-A9F5-0009D58A6D93"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Observability Improvements Logs using ELK Stack",
                    "href":"observability-improvements-logs-using-elk-stack.html#GUID-51759A2C-CCAB-4485-B16F-51142FE34946",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1 </span> Introduction",
                            "href":"observability-improvements-logs-using-elk-stack.html#GUID-3EB85D82-3ACC-4AA2-879A-55781583984F"
                        },
                        {
                            "title":"<span class=\"secnum\">2.2 </span> Architecture",
                            "href":"observability-improvements-logs-using-elk-stack.html#GUID-FEF2D42C-EB5A-4128-AA34-3F6500DAEA88"
                        },
                        {
                            "title":"<span class=\"secnum\">2.3 </span> Setting up ELK Stack",
                            "href":"observability-improvements-logs-using-elk-stack.html#GUID-79E39C44-02C9-4C19-83DB-9B83D1B2DF73",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.3.1 </span> Run ELK Stack",
                                    "href":"observability-improvements-logs-using-elk-stack.html#GUID-4DCB02DF-4371-4E9E-A794-1743993EBA43",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">2.3.1.1 </span> Start Elastic Search",
                                            "href":"observability-improvements-logs-using-elk-stack.html#GUID-BCC9A0C8-C00F-4E06-B40C-79B462D125EC"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">2.3.1.2 </span> Setup and Start Logstash",
                                            "href":"observability-improvements-logs-using-elk-stack.html#GUID-B29E44BC-79EF-472C-832D-06A5B9C57FBD"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">2.3.1.3 </span> Setup and Start Kibana",
                                            "href":"observability-improvements-logs-using-elk-stack.html#GUID-E951F39D-5C28-4C8E-8187-A7B8B19E051B"
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">2.3.2 </span> Access Kibana",
                                    "href":"observability-improvements-logs-using-elk-stack.html#GUID-48B80EC9-5499-4044-A3D1-5FC531AA37B0"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.3.3 </span> Kibana Logs",
                                    "href":"observability-improvements-logs-using-elk-stack.html#GUID-FF37CF96-B239-4E96-8F7C-34CA24A8AA2A"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Health Checks",
                    "href":"health-checks.html#GUID-9A85B90A-DD1D-4B9F-A111-9F1B1CD4A89D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1 </span> Discovery Health Check",
                            "href":"health-checks.html#GUID-5F2730FA-3D8F-4FEF-ACA1-7A2E471D5FD3"
                        },
                        {
                            "title":"<span class=\"secnum\">3.2 </span> Actuator Health Indicator Endpoint",
                            "href":"health-checks.html#GUID-756BB9C0-C37A-4819-961B-0A7279CC8EFD",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">3.2.1 </span> Generic Service",
                                    "href":"health-checks.html#GUID-CD9ADE68-E2D8-455D-8851-D08E350BA81E"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.2.2 </span> Kafka Consumers and Producers",
                                    "href":"health-checks.html#GUID-2C309F27-C35A-4BC6-8307-5D81E91375A4"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Troubleshooting Kafka Issues",
                    "href":"troubleshooting-kafka-issues.html#GUID-D5D5A3EC-CF59-4E52-9414-461CA6831B3E",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1 </span> Kafka Health",
                            "href":"troubleshooting-kafka-issues.html#GUID-0B212C80-8036-4523-9F62-721F900EB30F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.1.1 </span> Verify Kafka Health",
                                    "href":"troubleshooting-kafka-issues.html#GUID-0A80334E-BFFE-4ED9-9339-3999A6241741"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.2 </span> Verify Zookeeper Health",
                                    "href":"troubleshooting-kafka-issues.html#GUID-FDB9140A-DBB5-4C6A-9B83-0A2410235289"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4.2 </span> Prometheus and Grafana",
                            "href":"troubleshooting-kafka-issues.html#GUID-7445FF0D-92CA-452A-9D96-9166C8A38BFF",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.2.1 </span> Prometheus Setup",
                                    "href":"troubleshooting-kafka-issues.html#GUID-AB6021CA-F74F-4A4A-A1B1-CA9D51C4CC3A"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.2.2 </span> JMX-Exporter Setup",
                                    "href":"troubleshooting-kafka-issues.html#GUID-0BF6A75C-4201-45BA-A258-9EF212C21B54"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.2.3 </span> Grafana Setup",
                                    "href":"troubleshooting-kafka-issues.html#GUID-FEC671F2-4D37-49F0-B577-C2FA95DF6F94"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.2.4 </span> Prometheus Metrics",
                                    "href":"troubleshooting-kafka-issues.html#GUID-12D69767-FA39-429F-995E-6DB22F27EB72"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Troubleshooting Flyway Issues",
                    "href":"troubleshooting-flyway-issues.html#GUID-D7C98725-7F7B-4667-811A-BE7FAF06913C",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1 </span> Failed Migrations",
                            "href":"troubleshooting-flyway-issues.html#GUID-1CA5F85E-6320-48A6-816F-91D8EA304EF8",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.1.1 </span> Success Column Verification",
                                    "href":"troubleshooting-flyway-issues.html#GUID-543C78DB-7067-41F4-8B59-4D87CE27DF49"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.2 </span> Migration Checksum Mismatch for a Version",
                                    "href":"troubleshooting-flyway-issues.html#GUID-EBD41052-BD9D-498A-AB6B-9A760F42BEAF"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.3 </span> Placeholder errors",
                                    "href":"troubleshooting-flyway-issues.html#GUID-33E36DD4-0530-4DE4-8B85-F7FE906FC81B"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});