define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction",
                    "href":"introduction.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1.1 </span> Benefits",
                            "href":"benefits.html"
                        },
                        {
                            "title":"<span class=\"secnum\">1.2 </span> Key Features",
                            "href":"key-features.html"
                        },
                        {
                            "title":"<span class=\"secnum\">1.3 </span> Architecture",
                            "href":"architecture.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Dashboard",
                    "href":"dashboard.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1 </span> VA Transaction Status",
                            "href":"va-transaction-status.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.2 </span> VA DDA Posting",
                            "href":"va-dda-posting.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.3 </span> VAM Unauthorized Transactions",
                            "href":"vam-unauthorized-transactions.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.4 </span> VAM Unauthorized Maintenance",
                            "href":"vam-unauthorized-maintenance.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.5 </span> VA Transaction Volume Trend",
                            "href":"va-transaction-volume-trend.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.6 </span> VA Transaction By Source",
                            "href":"va-transaction-source.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.7 </span> Corporates",
                            "href":"corporates.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.8 </span> Virtual Accounts &amp; Structures",
                            "href":"virtual-accounts-structures.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.9 </span> Virtual Identifiers",
                            "href":"virtual-identifiers.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.10 </span> Virtual Account Structure",
                            "href":"virtual-account-structure.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.11 </span> VA Currency Wise Balance",
                            "href":"va-currency-wise-balance.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.12 </span> Top 5 Virtual Account Balances",
                            "href":"top-5-virtual-account-balances.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.13 </span> VA Transactions &amp; Statements",
                            "href":"va-transactions-statements.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.14 </span> VA Internal Transfer",
                            "href":"va-internal-transfer.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.15 </span> Virtual Entity Summary",
                            "href":"virtual-entity-summary.html"
                        },
                        {
                            "title":"<span class=\"secnum\">2.16 </span> Actions",
                            "href":"actions.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Forget Process",
                    "href":"forget-process.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1 </span> Forget Entity",
                            "href":"forget-entity.html"
                        },
                        {
                            "title":"<span class=\"secnum\">3.2 </span> View Forgotten Entities",
                            "href":"view-forgotten-entities.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Functional Activity Codes",
                    "href":"functional-activity-codes.html"
                },
                {
                    "title":"Feedback and Support",
                    "href":"feedback-and-support.html"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});