define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction",
                    "href":"introduction.html"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Transactions",
                    "href":"transactions.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1 </span> Amount Block",
                            "href":"amount-block.html",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.1.1 </span> Create Amount Block",
                                    "href":"create-amount-block.html"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.1.2 </span> View Amount Block",
                                    "href":"view-amount-block.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">2.2 </span> Internal Transfer",
                            "href":"internal-transfer.html",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.2.1 </span> Create Internal Transfer",
                                    "href":"create-internal-transfer.html"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.2.2 </span> View Internal Transfer",
                                    "href":"view-internal-transfer.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">2.3 </span> Journal Online",
                            "href":"journal-online.html",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.3.1 </span> Create Journal Online",
                                    "href":"create-journal-online.html"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.3.2 </span> View Journal Online",
                                    "href":"view-journal-online.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">2.4 </span> Release Uncollected Amount",
                            "href":"release-uncollected-amount.html",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.4.1 </span> Release Uncollected Amount",
                                    "href":"release-uncollected-amount1.html"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.4.2 </span> View Released Uncollected Amount",
                                    "href":"view-released-uncollected-amount.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Queries",
                    "href":"queries.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1 </span> Account Sanction Status History",
                            "href":"account-sanction-status-history.html"
                        },
                        {
                            "title":"<span class=\"secnum\">3.2 </span> Account Transaction Enquiry",
                            "href":"account-transaction-enquiry.html"
                        },
                        {
                            "title":"<span class=\"secnum\">3.3 </span> Account Transaction Limit Utilization",
                            "href":"account-transaction-limit-utilization.html"
                        },
                        {
                            "title":"<span class=\"secnum\">3.4 </span> Adhoc Account Report",
                            "href":"adhoc-account-report.html"
                        },
                        {
                            "title":"<span class=\"secnum\">3.5 </span> View Generated Statements",
                            "href":"view-generated-statements.html"
                        },
                        {
                            "title":"<span class=\"secnum\">3.6 </span> Virtual Account Statement",
                            "href":"virtual-account-statement.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Queues",
                    "href":"queues.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1 </span> Business Exceptions",
                            "href":"business-exceptions.html"
                        },
                        {
                            "title":"<span class=\"secnum\">4.2 </span> Exchange Rate Queues",
                            "href":"exchange-rate-queues.html",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.2.1 </span> Approve Amount Block",
                                    "href":"approve-amount-block.html"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.2.2 </span> Approve Journal Online",
                                    "href":"approve-journal-online.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Error Codes and Messages",
                    "href":"error-codes-and-messages.html"
                },
                {
                    "title":"<span class=\"secnum\">B </span> Functional Activity Codes",
                    "href":"functional-activity-codes.html"
                },
                {
                    "title":"<span class=\"secnum\">C </span> Annexure - Events",
                    "href":"annexure-events.html"
                },
                {
                    "title":"Feedback and Support",
                    "href":"feedback-and-support.html"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});