define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-2A9EE19E-2139-48BA-8762-86F190CF430F",
                    "topics":[
                        {
                            "title":"Purpose",
                            "href":"preface.html#GUID-0B6A7C81-AE1F-48E6-99EA-D9D873CE3957"
                        },
                        {
                            "title":"Audience",
                            "href":"preface.html#GUID-CFD47F52-62D3-4D3E-9112-A3C3D4E85F41"
                        },
                        {
                            "title":"Acronyms and Abbreviations",
                            "href":"preface.html#GUID-F55ECF59-5638-45FB-ADA6-55A3A4447B18"
                        },
                        {
                            "title":"List of Topics",
                            "href":"preface.html#GUID-8617733B-C6CF-448E-B449-74D57BFF4E46"
                        },
                        {
                            "title":"Related Documents",
                            "href":"preface.html#GUID-A29BBEE6-440C-4743-8786-C36850165646"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Technologies",
                    "href":"technologies.html"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Containerization",
                    "href":"containerization.html"
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Oracle Banking Microservices Architecture Products Deployment Approaches",
                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-AA720795-8FBE-42C8-B7F1-E7A11CF1F8EC",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1 </span> Containerization of the Services Using Tomcat",
                            "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-349613D4-D7E2-41DE-8992-33AA854E6D04",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">3.1.1 </span> Using Jib Plugin and Tomcat Image",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-97CFE172-459E-4644-9364-20DE1E253227"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.1.2 </span> Pipeline Integration in Jenkins",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-37EDC7B3-C5FB-47F7-A033-ECD8EDA8C309"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.1.3 </span> Using War Artifacts Delivered in OSDC",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-EA6A667A-ACA8-4AB2-BCB0-9C2F9DA7C501"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">3.2 </span> Containerization of the Services Using WebLogic",
                            "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-EAE7EBAC-1BA2-4299-B614-C0537E3DD55B",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">3.2.1 </span> Using Pre-Built WebLogic Images",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-1215EB76-B370-4080-B44E-BCE4F26E3422"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.2.2 </span> Run WebLogic Containers Using WebLogic Kubernetes Operator",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-C37C4015-68EA-4DC4-BA15-911E548F890D"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">3.3 </span> Deploying Services without Docker Images",
                            "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-4E094F75-7227-461D-BAC9-71BE964D67F8",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">3.3.1 </span> Deploying Applications to Tomcat without Docker Images",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-B7F0F070-4C02-44F8-9A48-6E864A577208"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.2 </span> Deploying Applications to WebLogic without Docker Images",
                                    "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-3FEC830E-250A-4BAD-86EE-7450F3C947CB"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">3.4 </span> Deploying Services on Private Cloud using Docker Images",
                            "href":"oracle-banking-microservices-architecture-products-deployment-approaches.html#GUID-3FD61F62-87B3-4218-BF67-303233BF028E"
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});